Sign in Start for free

Interruptions

List interruptions for user attention. The results will be sorted by date from most recently to least recently created

GET /api/{spaceId}/interruptions

Also reachable at /api/interruptions, /api/spaces/{spaceIdentifier}/interruptions.

Path Parameters

  • spaceId string (required)

Query Parameters

  • ids array of string
    List of specific interruption IDs to load.
  • pendingOnly boolean
    If true, lists only pending interruptions.
  • regarding string
    Lists interruptions related to a specific other document, specified by its ID (e.g. a ServerTasks-, Projects- or Environments-* ID).
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — Holds a list of interruptions returned in response to ListInterruptionsRequest

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
    The type of item in this list.
  • Items array of object
    • AgentResponsesPrevented boolean
      Gets or sets a value indicating whether AI agents are blocked from actioning this interruption.
    • CanTakeResponsibility boolean
      Gets or sets a value indicating whether the current user can take responsibility for this interruption. False for AI agents when the interruption blocks AI agents.
    • CorrelationId string
      Gets or sets the correlation ID of the activity in which the interruption was requested, if any.
    • Created string
      Gets the time at which the interruption was created. Format date-time.
    • Form object
    • HasResponsibility boolean
      Gets or sets a value indicating whether the current user has responsibility for this interruption.
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsLinkedToOtherInterruption boolean
      If this interruption is linked to another it will be automatically completed when the other one is. Used to handle interruptions in child deployments.
    • IsPending boolean
      True if the interruption is waiting for user action; otherwise, false.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • PullRequests array of object
      Gets or sets a list of pull requests associated with this interruption. This will only be populated when Type is PullRequestCompletion.
    • RelatedDocumentIds array of string
      Gets the ids of documents related to this interruption.
    • ResponsibleTeamIds array of string
      Gets the ids of groups that can take responsibility for this interruption.
    • ResponsibleUserActor string
      Gets or sets the agent client (such as an MCP client) the responsible user acted through, typically in the same form as OAuth client. Null for other kinds of credential.
    • ResponsibleUserActorType enum
      Gets or sets the kind of actor (user, service account, AI agent) that took responsibility for this interruption. Unknown when nobody has taken responsibility, or for interruptions claimed before this was recorded.
      Allowed values: Unknown, System, User, Agent, ServiceAccount.
    • ResponsibleUserId string
      Gets or sets the.
    • SpaceId string
    • TaskId string
      Gets or sets the id of the Server Task raising the interruption.
    • Title string
      Gets or sets a title for this interruption.
    • Type enum
      Gets or sets the type of interruption.
      Allowed values: ManualIntervention, GuidedFailure, PullRequestCompletion, ArgoCDApplicationSync, KubernetesResourceVerification.
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "Interruption",
  "Items": [
    {
      "AgentResponsesPrevented": false,
      "CanTakeResponsibility": false,
      "CorrelationId": "string",
      "Created": "2020-01-01T00:00:00.000Z",
      "Form": {
        "Elements": [
          {}
        ],
        "Values": {}
      },
      "HasResponsibility": false,
      "Id": "string",
      "IsLinkedToOtherInterruption": false,
      "IsPending": false,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "Self": "/api/..."
      },
      "PullRequests": [
        {}
      ],
      "RelatedDocumentIds": [
        "string"
      ],
      "ResponsibleTeamIds": [
        "string"
      ],
      "ResponsibleUserActor": "string",
      "ResponsibleUserActorType": "Unknown",
      "ResponsibleUserId": "string",
      "SpaceId": "Spaces-1",
      "TaskId": "string",
      "Title": "string",
      "Type": "ManualIntervention"
    }
  ],
  "ItemsPerPage": 30,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 1,
  "Links": {
    "Self": "/api/..."
  },
  "NumberOfPages": 2,
  "TotalResults": 42
}

Get an Interruption by ID

GET /api/{spaceId}/interruptions/{id}

Also reachable at /api/interruptions/{id}, /api/spaces/{spaceIdentifier}/interruptions/{id}.

Path Parameters

  • id string (required)
    ID of the Interruption to load.
  • spaceId string (required)
    ID of the Space.

Response

200 — The requested Interruption

  • AgentResponsesPrevented boolean
    Gets or sets a value indicating whether AI agents are blocked from actioning this interruption.
  • CanTakeResponsibility boolean
    Gets or sets a value indicating whether the current user can take responsibility for this interruption. False for AI agents when the interruption blocks AI agents.
  • CorrelationId string
    Gets or sets the correlation ID of the activity in which the interruption was requested, if any.
  • Created string
    Gets the time at which the interruption was created. Format date-time.
  • Form object
    • Elements array of object
      Elements of the form.
    • Values object
      Values supplied for the form elements.
  • HasResponsibility boolean
    Gets or sets a value indicating whether the current user has responsibility for this interruption.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsLinkedToOtherInterruption boolean
    If this interruption is linked to another it will be automatically completed when the other one is. Used to handle interruptions in child deployments.
  • IsPending boolean
    True if the interruption is waiting for user action; otherwise, false.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • PullRequests array of object
    Gets or sets a list of pull requests associated with this interruption. This will only be populated when Type is PullRequestCompletion.
    • Id string
    • InterruptionId string
    • Number integer
    • RepositoryUrl string
    • Status enum
      Allowed values: Unknown, Open, Merged, Closed, UnknownGitVendor.
    • Title string
    • Url string
  • RelatedDocumentIds array of string
    Gets the ids of documents related to this interruption.
  • ResponsibleTeamIds array of string
    Gets the ids of groups that can take responsibility for this interruption.
  • ResponsibleUserActor string
    Gets or sets the agent client (such as an MCP client) the responsible user acted through, typically in the same form as OAuth client. Null for other kinds of credential.
  • ResponsibleUserActorType enum
    Gets or sets the kind of actor (user, service account, AI agent) that took responsibility for this interruption. Unknown when nobody has taken responsibility, or for interruptions claimed before this was recorded.
    Allowed values: Unknown, System, User, Agent, ServiceAccount.
  • ResponsibleUserId string
    Gets or sets the.
  • SpaceId string
  • TaskId string
    Gets or sets the id of the Server Task raising the interruption.
  • Title string
    Gets or sets a title for this interruption.
  • Type enum
    Gets or sets the type of interruption.
    Allowed values: ManualIntervention, GuidedFailure, PullRequestCompletion, ArgoCDApplicationSync, KubernetesResourceVerification.

Example Response

JSON
{
  "AgentResponsesPrevented": false,
  "CanTakeResponsibility": false,
  "CorrelationId": "string",
  "Created": "2020-01-01T00:00:00.000Z",
  "Form": {
    "Elements": [
      {
        "Control": {},
        "IsValueRequired": false,
        "Name": "string"
      }
    ],
    "Values": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "HasResponsibility": false,
  "Id": "string",
  "IsLinkedToOtherInterruption": false,
  "IsPending": false,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "Self": "/api/..."
  },
  "PullRequests": [
    {
      "Id": "InterruptionPullRequests-1",
      "InterruptionId": "string",
      "Number": 0,
      "RepositoryUrl": "string",
      "Status": "Unknown",
      "Title": "string",
      "Url": "string"
    }
  ],
  "RelatedDocumentIds": [
    "string"
  ],
  "ResponsibleTeamIds": [
    "string"
  ],
  "ResponsibleUserActor": "string",
  "ResponsibleUserActorType": "Unknown",
  "ResponsibleUserId": "string",
  "SpaceId": "Spaces-1",
  "TaskId": "string",
  "Title": "string",
  "Type": "ManualIntervention"
}

Get the User that is currently responsible for this Interruption (if any)

GET /api/{spaceId}/interruptions/{id}/responsible

Also reachable at /api/interruptions/{id}/responsible, /api/spaces/{spaceIdentifier}/interruptions/{id}/responsible.

Path Parameters

  • id string (required)
    ID of the Interruption.
  • spaceId string (required)
    ID of the Space.

Response

200 — OK

Allow the current user to take responsibility for this interruption

PUT /api/{spaceId}/interruptions/{id}/responsible

Also reachable at /api/interruptions/{id}/responsible, /api/spaces/{spaceIdentifier}/interruptions/{id}/responsible.

Only users in one of the responsible teams on this interruption can take responsibility for it.

Path Parameters

  • id string (required)
    ID of the Interruption.
  • spaceId string (required)
    ID of the Space.

Response

200 — The User responsible for the requested Interruption

  • CanPasswordBeEdited boolean
  • Created string
    Format date-time.
  • DisplayName string
    Maximum length 64.
  • EmailAddress string
    Format email. Maximum length 256.
  • Id string
    Gets or sets a unique identifier for this resource.
  • Identities array of object
    • Claims object
    • IdentityProviderName string
  • IsActive boolean
  • IsRequestor boolean
    Gets or sets a value indicating whether this user resource represents the user who requested it.
  • IsService boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Password string
  • ServiceAccountType enum
    Allowed values: Standard, Agent.
  • Username string
    Maximum length 64.

Example Response

JSON
{
  "CanPasswordBeEdited": false,
  "Created": "2020-01-01T00:00:00.000Z",
  "DisplayName": "string",
  "EmailAddress": "user@example.com",
  "Id": "string",
  "Identities": [
    {
      "Claims": {
        "additionalProp1": {},
        "additionalProp2": {},
        "additionalProp3": {}
      },
      "IdentityProviderName": "string"
    }
  ],
  "IsActive": false,
  "IsRequestor": false,
  "IsService": false,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "Self": "/api/..."
  },
  "Password": "string",
  "ServiceAccountType": "Standard",
  "Username": "string"
}

Submit a dictionary of form values for the interruption

POST /api/{spaceId}/interruptions/{id}/submit

Also reachable at /api/interruptions/{id}/submit, /api/spaces/{spaceIdentifier}/interruptions/{id}/submit.

Only the user with responsibility for this interruption can submit this form.

Path Parameters

  • id string (required)
    ID of the Interruption.
  • spaceId string (required)
    ID of the Space.

Request Body

  • Guidance string
    Used for Guided Failure Interruptions. Should be one of “Fail”, “Retry”, “Ignore” or “Exclude”.
  • Id string (required)
    ID of the Interruption. Minimum length 1.
  • Instructions string
    Optional free-text instructions recorded with the submission.
  • Notes string
    Optional notes recorded with the submission and included in the audit log entry.
  • Result string
    Used for Manual Intervention Interruptions. Should be one of “Proceed” or “Abort”.
  • SpaceId string (required)
    ID of the Space.

Response

200 — Confirms that the Interruption has been submitted successfully, containing the updated Interruption

  • AgentResponsesPrevented boolean
    Gets or sets a value indicating whether AI agents are blocked from actioning this interruption.
  • CanTakeResponsibility boolean
    Gets or sets a value indicating whether the current user can take responsibility for this interruption. False for AI agents when the interruption blocks AI agents.
  • CorrelationId string
    Gets or sets the correlation ID of the activity in which the interruption was requested, if any.
  • Created string
    Gets the time at which the interruption was created. Format date-time.
  • Form object
    • Elements array of object
      Elements of the form.
    • Values object
      Values supplied for the form elements.
  • HasResponsibility boolean
    Gets or sets a value indicating whether the current user has responsibility for this interruption.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsLinkedToOtherInterruption boolean
    If this interruption is linked to another it will be automatically completed when the other one is. Used to handle interruptions in child deployments.
  • IsPending boolean
    True if the interruption is waiting for user action; otherwise, false.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • PullRequests array of object
    Gets or sets a list of pull requests associated with this interruption. This will only be populated when Type is PullRequestCompletion.
    • Id string
    • InterruptionId string
    • Number integer
    • RepositoryUrl string
    • Status enum
      Allowed values: Unknown, Open, Merged, Closed, UnknownGitVendor.
    • Title string
    • Url string
  • RelatedDocumentIds array of string
    Gets the ids of documents related to this interruption.
  • ResponsibleTeamIds array of string
    Gets the ids of groups that can take responsibility for this interruption.
  • ResponsibleUserActor string
    Gets or sets the agent client (such as an MCP client) the responsible user acted through, typically in the same form as OAuth client. Null for other kinds of credential.
  • ResponsibleUserActorType enum
    Gets or sets the kind of actor (user, service account, AI agent) that took responsibility for this interruption. Unknown when nobody has taken responsibility, or for interruptions claimed before this was recorded.
    Allowed values: Unknown, System, User, Agent, ServiceAccount.
  • ResponsibleUserId string
    Gets or sets the.
  • SpaceId string
  • TaskId string
    Gets or sets the id of the Server Task raising the interruption.
  • Title string
    Gets or sets a title for this interruption.
  • Type enum
    Gets or sets the type of interruption.
    Allowed values: ManualIntervention, GuidedFailure, PullRequestCompletion, ArgoCDApplicationSync, KubernetesResourceVerification.

Example Request

JSON
{
  "Guidance": "string",
  "Id": "string",
  "Instructions": "string",
  "Notes": "string",
  "Result": "string",
  "SpaceId": "Spaces-1"
}

Example Response

JSON
{
  "AgentResponsesPrevented": false,
  "CanTakeResponsibility": false,
  "CorrelationId": "string",
  "Created": "2020-01-01T00:00:00.000Z",
  "Form": {
    "Elements": [
      {
        "Control": {},
        "IsValueRequired": false,
        "Name": "string"
      }
    ],
    "Values": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    }
  },
  "HasResponsibility": false,
  "Id": "string",
  "IsLinkedToOtherInterruption": false,
  "IsPending": false,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "Self": "/api/..."
  },
  "PullRequests": [
    {
      "Id": "InterruptionPullRequests-1",
      "InterruptionId": "string",
      "Number": 0,
      "RepositoryUrl": "string",
      "Status": "Unknown",
      "Title": "string",
      "Url": "string"
    }
  ],
  "RelatedDocumentIds": [
    "string"
  ],
  "ResponsibleTeamIds": [
    "string"
  ],
  "ResponsibleUserActor": "string",
  "ResponsibleUserActorType": "Unknown",
  "ResponsibleUserId": "string",
  "SpaceId": "Spaces-1",
  "TaskId": "string",
  "Title": "string",
  "Type": "ManualIntervention"
}